Index: src/other/sqlite3/tcl/CMake/tcl.cmake
===================================================================
--- src/other/sqlite3/tcl/CMake/tcl.cmake	(revision 54114)
+++ src/other/sqlite3/tcl/CMake/tcl.cmake	(working copy)
@@ -686,21 +686,21 @@
 (void) gethostbyaddr_r(addr, length, type, result, buffer, buflen, &resultp, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
-			IF(HAVE_GETHOSTBYADDR_R_8)
-			   ADD_TCL_CFLAG(HAVE_GETHOSTBYADDR_R_8)
-			ENDIF(HAVE_GETHOSTBYADDR_R_8)
-		ENDIF(HAVE_GETHOSTBYADDR_R_7)
-	ENDIF(HAVE_GETHOSTBYADDR_R)
-ENDMACRO(SC_TCL_GETHOSTBYADDR_R)
+			check_c_source_compiles("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
+			if(HAVE_GETHOSTBYADDR_R_8)
+			   add_tcl_cflag(HAVE_GETHOSTBYADDR_R_8)
+			endif(HAVE_GETHOSTBYADDR_R_8)
+		endif(HAVE_GETHOSTBYADDR_R_7)
+	endif(HAVE_GETHOSTBYADDR_R)
+endmacro(SC_TCL_GETHOSTBYADDR_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETHOSTBYNAME_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETHOSTBYNAME_R)
-	TCL_CHECK_FUNCTION_EXISTS(gethostbyname_r HAVE_GETHOSTBYNAME_R)
-	IF(HAVE_GETHOSTBYNAME_R)
-		SET(HAVE_GETHOSTBYNAME_R_6_SRC "
+macro(SC_TCL_GETHOSTBYNAME_R)
+	tcl_check_function_exists(gethostbyname_r HAVE_GETHOSTBYNAME_R)
+	if(HAVE_GETHOSTBYNAME_R)
+		set(HAVE_GETHOSTBYNAME_R_6_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -712,11 +712,11 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &res, &h_errnop);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
-		IF(HAVE_GETHOSTBYNAME_R_6)
-			ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_6)
-		ELSE(HAVE_GETHOSTBYNAME_R_6)
-			SET(HAVE_GETHOSTBYNAME_R_5_SRC "
+		check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
+		if(HAVE_GETHOSTBYNAME_R_6)
+			add_tcl_cflag(HAVE_GETHOSTBYNAME_R_6)
+		else(HAVE_GETHOSTBYNAME_R_6)
+			set(HAVE_GETHOSTBYNAME_R_5_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -728,12 +728,12 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
+			check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
 
-			IF(HAVE_GETHOSTBYNAME_R_5)
-				ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_5)
-			ELSE(HAVE_GETHOSTBYNAME_R_5)
-				SET(HAVE_GETHOSTBYNAME_R_3_SRC "
+			if(HAVE_GETHOSTBYNAME_R_5)
+				add_tcl_cflag(HAVE_GETHOSTBYNAME_R_5)
+			else(HAVE_GETHOSTBYNAME_R_5)
+				set(HAVE_GETHOSTBYNAME_R_3_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -743,22 +743,22 @@
 (void) gethostbyname_r(name, he, &data);
 return 0;}
 				")
-				CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
-				IF(HAVE_GETHOSTBYNAME_R_3)
-					ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_3)
-				ENDIF(HAVE_GETHOSTBYNAME_R_3)
-			ENDIF(HAVE_GETHOSTBYNAME_R_5)
-		ENDIF(HAVE_GETHOSTBYNAME_R_6)
-	ENDIF(HAVE_GETHOSTBYNAME_R)
-ENDMACRO(SC_TCL_GETHOSTBYNAME_R)
+				check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
+				if(HAVE_GETHOSTBYNAME_R_3)
+					add_tcl_cflag(HAVE_GETHOSTBYNAME_R_3)
+				endif(HAVE_GETHOSTBYNAME_R_3)
+			endif(HAVE_GETHOSTBYNAME_R_5)
+		endif(HAVE_GETHOSTBYNAME_R_6)
+	endif(HAVE_GETHOSTBYNAME_R)
+endmacro(SC_TCL_GETHOSTBYNAME_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_IPV6
 #--------------------------------------------------------------------
-MACRO(SC_TCL_IPV6)
-	CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
-	IF(HAVE_GETADDRINFO)
-		SET(GETADDRINFO_SRC "
+macro(SC_TCL_IPV6)
+	check_function_exists(getaddrinfo HAVE_GETADDRINFO)
+	if(HAVE_GETADDRINFO)
+		set(GETADDRINFO_SRC "
 #include <netdb.h>
 int main () {
 const char *name, *port;
@@ -768,20 +768,20 @@
 return 0;
 }
 		")
-		CHECK_C_SOURCE_COMPILES("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
-		IF(WORKING_GETADDRINFO)
-			ADD_TCL_CFLAG(HAVE_GETADDRINFO)
-		ENDIF(WORKING_GETADDRINFO)
-	ENDIF(HAVE_GETADDRINFO)
-ENDMACRO(SC_TCL_IPV6)
+		check_c_source_compiles("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
+		if(WORKING_GETADDRINFO)
+			add_tcl_cflag(HAVE_GETADDRINFO)
+		endif(WORKING_GETADDRINFO)
+	endif(HAVE_GETADDRINFO)
+endmacro(SC_TCL_IPV6)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWUID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWUID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwuid_r HAVE_GETPWUID_R)
-	IF(HAVE_GETPWUID_R)
-		SET(HAVE_GETPWUID_R_5_SRC "
+macro(SC_TCL_GETPWUID_R)
+	tcl_check_function_exists(getpwuid_r HAVE_GETPWUID_R)
+	if(HAVE_GETPWUID_R)
+		set(HAVE_GETPWUID_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -793,11 +793,11 @@
 (void) getpwuid_r(uid, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
-		IF(HAVE_GETPWUID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWUID_R_5)
-		ELSE(HAVE_GETPWUID_R_5)
-			SET(HAVE_GETPWUID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
+		if(HAVE_GETPWUID_R_5)
+			add_tcl_cflag(HAVE_GETPWUID_R_5)
+		else(HAVE_GETPWUID_R_5)
+			set(HAVE_GETPWUID_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -809,21 +809,21 @@
 (void) getpwuid_r(uid, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
-			IF(HAVE_GETPWUID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETPWUID_R_4)
-			ENDIF(HAVE_GETPWUID_R_4)
-		ENDIF(HAVE_GETPWUID_R_5)
-	ENDIF(HAVE_GETPWUID_R)
-ENDMACRO(SC_TCL_GETPWUID_R)
+			check_c_source_compiles("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
+			if(HAVE_GETPWUID_R_4)
+				add_tcl_cflag(HAVE_GETPWUID_R_4)
+			endif(HAVE_GETPWUID_R_4)
+		endif(HAVE_GETPWUID_R_5)
+	endif(HAVE_GETPWUID_R)
+endmacro(SC_TCL_GETPWUID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwnam_r HAVE_GETPWNAM_R)
-	IF(HAVE_GETPWNAM_R)
-		SET(HAVE_GETPWNAM_R_5_SRC "
+macro(SC_TCL_GETPWNAM_R)
+	tcl_check_function_exists(getpwnam_r HAVE_GETPWNAM_R)
+	if(HAVE_GETPWNAM_R)
+		set(HAVE_GETPWNAM_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -835,11 +835,11 @@
 (void) getpwnam_r(name, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
-		IF(HAVE_GETPWNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWNAM_R_5)
-		ELSE(HAVE_GETPWNAM_R_5)
-			SET(HAVE_GETPWNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
+		if(HAVE_GETPWNAM_R_5)
+			add_tcl_cflag(HAVE_GETPWNAM_R_5)
+		else(HAVE_GETPWNAM_R_5)
+			set(HAVE_GETPWNAM_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -851,21 +851,21 @@
 (void)getpwnam_r(name, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
-			IF(HAVE_GETPWNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETPWNAM_R_4)
-			ENDIF(HAVE_GETPWNAM_R_4)
-		ENDIF(HAVE_GETPWNAM_R_5)
-	ENDIF(HAVE_GETPWNAM_R)
-ENDMACRO(SC_TCL_GETPWNAM_R)
+			check_c_source_compiles("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
+			if(HAVE_GETPWNAM_R_4)
+			   add_tcl_cflag(HAVE_GETPWNAM_R_4)
+			endif(HAVE_GETPWNAM_R_4)
+		endif(HAVE_GETPWNAM_R_5)
+	endif(HAVE_GETPWNAM_R)
+endmacro(SC_TCL_GETPWNAM_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRGID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRGID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrgid_r HAVE_GETGRGID_R)
-	IF(HAVE_GETGRGID_R)
-		SET(HAVE_GETGRGID_R_5_SRC "
+macro(SC_TCL_GETGRGID_R)
+	tcl_check_function_exists(getgrgid_r HAVE_GETGRGID_R)
+	if(HAVE_GETGRGID_R)
+		set(HAVE_GETGRGID_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -877,11 +877,11 @@
 (void) getgrgid_r(gid, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
-		IF(HAVE_GETGRGID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRGID_R_5)
-		ELSE(HAVE_GETGRGID_R_5)
-			SET(HAVE_GETGRGID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
+		if(HAVE_GETGRGID_R_5)
+			add_tcl_cflag(HAVE_GETGRGID_R_5)
+		else(HAVE_GETGRGID_R_5)
+			set(HAVE_GETGRGID_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -893,21 +893,21 @@
 (void)getgrgid_r(gid, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
-			IF(HAVE_GETGRGID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETGRGID_R_4)
-			ENDIF(HAVE_GETGRGID_R_4)
-		ENDIF(HAVE_GETGRGID_R_5)
-	ENDIF(HAVE_GETGRGID_R)
-ENDMACRO(SC_TCL_GETGRGID_R)
+			check_c_source_compiles("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
+			if(HAVE_GETGRGID_R_4)
+				add_tcl_cflag(HAVE_GETGRGID_R_4)
+			endif(HAVE_GETGRGID_R_4)
+		endif(HAVE_GETGRGID_R_5)
+	endif(HAVE_GETGRGID_R)
+endmacro(SC_TCL_GETGRGID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrnam_r HAVE_GETGRNAM_R)
-	IF(HAVE_GETGRNAM_R)
-		SET(HAVE_GETGRNAM_R_5_SRC "
+macro(SC_TCL_GETGRNAM_R)
+	tcl_check_function_exists(getgrnam_r HAVE_GETGRNAM_R)
+	if(HAVE_GETGRNAM_R)
+		set(HAVE_GETGRNAM_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -919,11 +919,11 @@
 (void) getgrnam_r(name, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
-		IF(HAVE_GETGRNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRNAM_R_5)
-		ELSE(HAVE_GETGRNAM_R_5)
-			SET(HAVE_GETGRNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
+		if(HAVE_GETGRNAM_R_5)
+			add_tcl_cflag(HAVE_GETGRNAM_R_5)
+		else(HAVE_GETGRNAM_R_5)
+			set(HAVE_GETGRNAM_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -935,19 +935,19 @@
 (void)getgrnam_r(name, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
-			IF(HAVE_GETGRNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETGRNAM_R_4)
-			ENDIF(HAVE_GETGRNAM_R_4)
-		ENDIF(HAVE_GETGRNAM_R_5)
-	ENDIF(HAVE_GETGRNAM_R)
-ENDMACRO(SC_TCL_GETGRNAM_R)
+			check_c_source_compiles("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
+			if(HAVE_GETGRNAM_R_4)
+			   add_tcl_cflag(HAVE_GETGRNAM_R_4)
+			endif(HAVE_GETGRNAM_R_4)
+		endif(HAVE_GETGRNAM_R_5)
+	endif(HAVE_GETGRNAM_R)
+endmacro(SC_TCL_GETGRNAM_R)
 
 
 
 
-MACRO(CHECK_FD_SET_IN_TYPES_D)
-	SET(TEST_SRC "
+macro(CHECK_FD_SET_IN_TYPES_D)
+	set(TEST_SRC "
 	#include <sys/types.h>
 	int main ()
 	{
@@ -955,16 +955,16 @@
 	return 0;
 	}
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" FD_SET_IN_TYPES_H)
-ENDMACRO(CHECK_FD_SET_IN_TYPES_D)
+	check_c_source_compiles("${TEST_SRC}" FD_SET_IN_TYPES_H)
+endmacro(CHECK_FD_SET_IN_TYPES_D)
 
-MACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
-	SET(TEST_SRC"
+macro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	set(TEST_SRC"
 	#define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
 	main(){};
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
-ENDMACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	check_c_source_compiles("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
+endmacro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
 
 
 
Index: src/other/libtermlib/CMakeLists.txt
===================================================================
--- src/other/libtermlib/CMakeLists.txt	(revision 54114)
+++ src/other/libtermlib/CMakeLists.txt	(working copy)
@@ -1,23 +1,23 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
-PROJECT(LIBTERMLIB)
+project(LIBTERMLIB)
 
 
-IF(NOT MSVC)
+if(NOT MSVC)
 
   if(NOT CONF_DIR)
     set(CONF_DIR etc)
   endif(NOT CONF_DIR)
 
-  SET(LIBTERMLIB_PRIVATE_HDRS
+  set(LIBTERMLIB_PRIVATE_HDRS
     termcap.h
     )
 
 
-  SET(LIBTERM_SOURCES
+  set(LIBTERM_SOURCES
     termcap.c
     tgoto.c
     tputs.c
@@ -43,21 +43,21 @@
     LIBRARY DESTINATION ${LIB_DIR}
     ARCHIVE DESTINATION ${LIB_DIR})
 
-  SET_TARGET_PROPERTIES(termlib-static PROPERTIES OUTPUT_NAME "termlib")
+  set_target_properties(termlib-static PROPERTIES OUTPUT_NAME "termlib")
 
   if (NOT CMAKE_CONFIGURATION_TYPES)
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/termcap.src ${CMAKE_BINARY_DIR}/${CONF_DIR}/termcap COPYONLY)
-    INSTALL(FILES ${CMAKE_BINARY_DIR}/${CONF_DIR}/termcap DESTINATION ${CONF_DIR})
+    install(FILES ${CMAKE_BINARY_DIR}/${CONF_DIR}/termcap DESTINATION ${CONF_DIR})
   else (NOT CMAKE_CONFIGURATION_TYPES)
     foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
       string(TOUPPER "${CFG_TYPE}" CFG_TYPE_UPPER)
       configure_file(${CMAKE_CURRENT_SOURCE_DIR}/termcap.src ${CMAKE_BINARY_DIR}/${CFG_TYPE_UPPER}/${DATA_DIR}/etc/termcap COPYONLY)
     endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
-    INSTALL(FILES ${CMAKE_BINARY_DIR}/\${BUILD_TYPE}/${CONF_DIR}/termcap DESTINATION ${CONF_DIR})
+    install(FILES ${CMAKE_BINARY_DIR}/\${BUILD_TYPE}/${CONF_DIR}/termcap DESTINATION ${CONF_DIR})
   endif (NOT CMAKE_CONFIGURATION_TYPES)
 
 
-ENDIF(NOT MSVC)
+endif(NOT MSVC)
 
 # Local Variables:
 # tab-width: 8
Index: src/other/tktable/CMakeLists.txt
===================================================================
--- src/other/tktable/CMakeLists.txt	(revision 54114)
+++ src/other/tktable/CMakeLists.txt	(working copy)
@@ -1,13 +1,13 @@
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # set CMake project name
-PROJECT(TKTABLE)
+project(TKTABLE)
 
-SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
 find_package(TCL)
 find_package(X11)
 
@@ -19,28 +19,28 @@
   ${X11_INCLUDE_DIR}
   )
 
-SET(TKTABLE_PKGNAME Tktable)
-SET(TKTABLE_PKGVERSION "2.10")
+set(TKTABLE_PKGNAME Tktable)
+set(TKTABLE_PKGVERSION "2.10")
 
 # Windows specific flags
-IF(WIN32)
-  SET(TKTABLE_CFLAGS "${TKTABLE_CFLAGS} -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEP -Ot -Oi -fp:strict -Gs -GS -GL")
-  SET(TKTABLE_CFLAGS "${TKTABLE_CFLAGS} -Dinline=__inline -DBUILD_Tktable")
-  SET(TKTABLE_CFLAGS "${TKTABLE_CFLAGS} -DTBL_COMMAND=\"table\" -DTBL_RUNTIME=\"tkTable.tcl\" -DTBL_RUNTIME_DIR=\"\"")
-ENDIF(WIN32)
+if(WIN32)
+  set(TKTABLE_CFLAGS "${TKTABLE_CFLAGS} -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEP -Ot -Oi -fp:strict -Gs -GS -GL")
+  set(TKTABLE_CFLAGS "${TKTABLE_CFLAGS} -Dinline=__inline -DBUILD_Tktable")
+  set(TKTABLE_CFLAGS "${TKTABLE_CFLAGS} -DTBL_COMMAND=\"table\" -DTBL_RUNTIME=\"tkTable.tcl\" -DTBL_RUNTIME_DIR=\"\"")
+endif(WIN32)
 
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${TKTABLE_CFLAGS}")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${TKTABLE_CFLAGS}")
 
-ADD_CUSTOM_COMMAND(
+add_custom_command(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h
   COMMAND ${TCL_TCLSH_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/misc/tkTable_header.tcl ${CMAKE_CURRENT_SOURCE_DIR}/library/tkTable.tcl ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h.new
   COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h.new ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h
   COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h.new
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/library/tkTable.tcl ${CMAKE_CURRENT_SOURCE_DIR}/misc/tkTable_header.tcl ${TCL_TCLSH_EXECUTABLE}
   )
-ADD_CUSTOM_TARGET(tktable_header_gen ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h)
+add_custom_target(tktable_header_gen ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tkTable.tcl.h)
 
-SET(TKTABLE_SRCS
+set(TKTABLE_SRCS
   generic/tkTable.c
   generic/tkTableCell.c
   generic/tkTableCellSort.c
@@ -52,13 +52,13 @@
   generic/tkTableWin.c
   )
 
-SET(TKTABLE_CFG_H_FILE ${CMAKE_CURRENT_BINARY_DIR}/tktable_cfg.h.tmp)
-FILE(WRITE ${TKTABLE_CFG_H_FILE} "/**** Variables for Tktable build - replaces -D options ****/\n")
-FILE(APPEND ${TKTABLE_CFG_H_FILE} "#define PACKAGE_NAME \"${TKTABLE_PKGNAME}\"\n")
-FILE(APPEND ${TKTABLE_CFG_H_FILE} "#define PACKAGE_VERSION \"${TKTABLE_PKGVERSION}\"\n")
-FILE(APPEND ${TKTABLE_CFG_H_FILE} "#define TBL_COMMAND \"table\"\n")
-FILE(APPEND ${TKTABLE_CFG_H_FILE} "#define TBL_RUNTIME \"tkTable.tcl\"\n")
-FILE(APPEND ${TKTABLE_CFG_H_FILE} "#define TBL_RUNTIME_DIR \"${CMAKE_INSTALL_PREFIX}/lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION}\"\n")
+set(TKTABLE_CFG_H_FILE ${CMAKE_CURRENT_BINARY_DIR}/tktable_cfg.h.tmp)
+file(WRITE ${TKTABLE_CFG_H_FILE} "/**** Variables for Tktable build - replaces -D options ****/\n")
+file(APPEND ${TKTABLE_CFG_H_FILE} "#define PACKAGE_NAME \"${TKTABLE_PKGNAME}\"\n")
+file(APPEND ${TKTABLE_CFG_H_FILE} "#define PACKAGE_VERSION \"${TKTABLE_PKGVERSION}\"\n")
+file(APPEND ${TKTABLE_CFG_H_FILE} "#define TBL_COMMAND \"table\"\n")
+file(APPEND ${TKTABLE_CFG_H_FILE} "#define TBL_RUNTIME \"tkTable.tcl\"\n")
+file(APPEND ${TKTABLE_CFG_H_FILE} "#define TBL_RUNTIME_DIR \"${CMAKE_INSTALL_PREFIX}/lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION}\"\n")
 execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/tktable_cfg.h.tmp ${CMAKE_CURRENT_BINARY_DIR}/tktable_cfg.h)
 execute_process(COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/tktable_cfg.h.tmp)
 
@@ -71,29 +71,29 @@
 add_library(Tktable SHARED ${TKTABLE_SRCS})
 add_dependencies(Tktable tktable_header_gen)
 target_link_libraries(Tktable ${TCL_LIBRARY} ${TCL_TK_LIBRARY} ${X11_LIBRARIES})
-SET_TARGET_PROPERTIES(Tktable PROPERTIES VERSION ${TKTABLE_PKGVERSION})
+set_target_properties(Tktable PROPERTIES VERSION ${TKTABLE_PKGVERSION})
 install(TARGETS Tktable 
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
 
 # Create the pkgIndex.tcl file.
-TCL_PKGINDEX(Tktable ${TKTABLE_PKGNAME} ${TKTABLE_PKGVERSION})
+tcl_pkgindex(Tktable ${TKTABLE_PKGNAME} ${TKTABLE_PKGVERSION})
 
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/README.txt DESTINATION lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/license.txt DESTINATION lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
 
-SET(TKTABLE_MISC
+set(TKTABLE_MISC
   library/tkTable.tcl
   library/tktable.py
   )
 if(CMAKE_CONFIGURATION_TYPES)
    foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
      string(TOUPPER "${CFG_TYPE}" CFG_TYPE_UPPER)
-     FILE(COPY ${TKTABLE_MISC} DESTINATION ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
+     file(COPY ${TKTABLE_MISC} DESTINATION ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
    endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
 else(CMAKE_CONFIGURATION_TYPES)
-   FILE(COPY ${TKTABLE_MISC} DESTINATION ${CMAKE_BINARY_DIR}/lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
+   file(COPY ${TKTABLE_MISC} DESTINATION ${CMAKE_BINARY_DIR}/lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
 endif(CMAKE_CONFIGURATION_TYPES)
 
-INSTALL(FILES ${TKTABLE_MISC} DESTINATION lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
+install(FILES ${TKTABLE_MISC} DESTINATION lib/${TKTABLE_PKGNAME}${TKTABLE_PKGVERSION})
